use std::{net::TcpListener, io::Write};

fn main() {
    let listener = TcpListener::bind("127.0.0.1:4221").unwrap();
    
    for stream in listener.incoming() {
        match stream {
            Ok(mut _stream) => {
                println!("accepted new connection");

                let status = "200 OK\r\n";
                let res_headers = "\r\n";

                _stream.write(format!("HTTP/1.1 {status}{res_headers}").as_bytes()).unwrap();
            }
            Err(e) => {
                println!("error: {}", e);
            }
        }
    }
}
